package jp.co.student.springbootstudy.domain.model;

import java.util.Date;

public class Teacher {

	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.teacher.teacher_id
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	private String teacherId;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.teacher.teacher_name
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	private String teacherName;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.teacher.date_of_birth
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	private Date dateOfBirth;
	/**
	 * This field was generated by MyBatis Generator. This field corresponds to the database column public.teacher.gender
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	private String gender;

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.teacher.teacher_id
	 * @return  the value of public.teacher.teacher_id
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	public String getTeacherId() {
		return teacherId;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.teacher.teacher_id
	 * @param teacherId  the value for public.teacher.teacher_id
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	public void setTeacherId(String teacherId) {
		this.teacherId = teacherId;
	}

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.teacher.teacher_name
	 * @return  the value of public.teacher.teacher_name
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	public String getTeacherName() {
		return teacherName;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.teacher.teacher_name
	 * @param teacherName  the value for public.teacher.teacher_name
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	public void setTeacherName(String teacherName) {
		this.teacherName = teacherName;
	}

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.teacher.date_of_birth
	 * @return  the value of public.teacher.date_of_birth
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	public Date getDateOfBirth() {
		return dateOfBirth;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.teacher.date_of_birth
	 * @param dateOfBirth  the value for public.teacher.date_of_birth
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	public void setDateOfBirth(Date dateOfBirth) {
		this.dateOfBirth = dateOfBirth;
	}

	/**
	 * This method was generated by MyBatis Generator. This method returns the value of the database column public.teacher.gender
	 * @return  the value of public.teacher.gender
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	public String getGender() {
		return gender;
	}

	/**
	 * This method was generated by MyBatis Generator. This method sets the value of the database column public.teacher.gender
	 * @param gender  the value for public.teacher.gender
	 * @mbg.generated  Wed May 01 11:34:09 JST 2024
	 */
	public void setGender(String gender) {
		this.gender = gender;
	}
}